/*
==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--

Dia-Args

Copyright (C) 2018-2019, 2021-2023  Anonymous

There are several releases over multiple years,
they are listed as ranges, such as: "2018-2019".

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--
*/

//! # Internatinonalization

use std::borrow::Cow;

/// # Internatinonalization
///
/// ## Default values
///
/// Please see documentation of each field.
#[derive(Debug)]
pub struct I18n<'a> {

    /// # "Commands"
    pub commands: Cow<'a, str>,

    /// # "No Commands"
    pub no_commands: Cow<'a, str>,

    /// # "Options"
    pub options: Cow<'a, str>,

    /// # "No Options"
    pub no_options: Cow<'a, str>,

    /// # "Values"
    pub values: Cow<'a, str>,

    /// # "Default"
    pub default: Cow<'a, str>,

    /// # "Required"
    pub required: Cow<'a, str>,

    /// # "Project"
    pub project: Cow<'a, str>,

    /// # "Home"
    pub home: Cow<'a, str>,

    /// # "License"
    pub license: Cow<'a, str>,

}

impl Default for I18n<'_> {

    fn default() -> Self {
        Self {
            commands: Cow::Borrowed("Commands"),
            no_commands: Cow::Borrowed("No Commands"),
            options: Cow::Borrowed("Options"),
            no_options: Cow::Borrowed("No Options"),
            values: Cow::Borrowed("Values"),
            default: Cow::Borrowed("Default"),
            required: Cow::Borrowed("Required"),
            project: Cow::Borrowed("Project"),
            home: Cow::Borrowed("Home"),
            license: Cow::Borrowed("License"),
        }
    }

}
