/*
==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--

Dia-Args

Copyright (C) 2018-2019, 2021-2023  Anonymous

There are several releases over multiple years,
they are listed as ranges, such as: "2018-2019".

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--
*/

//! # Read-only `u64`

use core::ops::Deref;

/// # Read-only `u64`
#[derive(Debug)]
pub (crate) struct ReadOnlyU64 {
    value: u64,
}

impl Deref for ReadOnlyU64 {

    type Target = u64;

    fn deref(&self) -> &Self::Target {
        &self.value
    }

}

impl From<u64> for ReadOnlyU64 {

    fn from(value: u64) -> Self {
        Self {
            value,
        }
    }

}
